#!/bin/sh

host=client
ip netns exec ${host} tc qdisc replace dev ${host}.l root fq_codel

# server

host=server
ip netns exec ${host} tc qdisc replace dev ${host}.r root fq

# delay

host=delay
ip netns exec ${host} tc qdisc replace dev ${host}.r root netem delay 50ms
ip netns exec ${host} tc qdisc replace dev ${host}.l root netem delay 50ms

# middlebox

host=mbox
ip netns exec ${host} $TC qdisc replace dev ${host}.l root cake bandwidth 1000Mbit nat ack-filter
ip netns exec ${host} $TC qdisc replace dev ${host}.r root cake bandwidth 100Mbit nat ack-filter

# let me ping localhost

for host in $HOSTS
do
ip netns exec ${host} ifconfig lo up
done
